Package org.eclipse.m2m.atl.engine.emfvm.lib

# Class TransientLinkSet

java.lang.Object
org.eclipse.m2m.atl.engine.emfvm.lib.TransientLinkSet

public class TransientLinkSet extends Object
Stores a `TransientLink` Set.

## Constructor Summary

Constructors
Constructor
Description
`TransientLinkSet()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addLink(TransientLink tl)`
Adds a link to the set.
`void`
`addLink2(TransientLink tl, boolean isDefault)`
Adds a link to the set.
`TransientLink`
`getLinkByRuleAndSourceElement(Object rule, Object sourceElement)`
Retrieve a link by the given rule and source element.
`TransientLink`
`getLinkBySourceElement(Object sourceElement)`
Retrieve a link by the given source element.
`TransientLink`
`getLinkByTargetElement(Object sourceElement)`
Retrieve a link by the given source element.
`List<TransientLink>`
`getLinksByRule(Object rule)`
Returns the links of a rule.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransientLinkSet

public TransientLinkSet()

## Method Details

### addLink

public void addLink(TransientLink tl)
Adds a link to the set.

Parameters:
  `tl` - the link

### addLink2

public void addLink2(TransientLink tl, boolean isDefault)
Adds a link to the set.

Parameters:
  `tl` - the link
  `isDefault` - true if the link is the default link

### getLinksByRule

public List<TransientLink> getLinksByRule(Object rule)
Returns the links of a rule.

Parameters:
  `rule` - the rule
Returns:
  the links of a rule

### getLinkBySourceElement

public TransientLink getLinkBySourceElement(Object sourceElement)
Retrieve a link by the given source element.

Parameters:
  `sourceElement` - the source element
Returns:
  the link

### getLinkByTargetElement

public TransientLink getLinkByTargetElement(Object sourceElement)
Retrieve a link by the given source element.

Parameters:
  `sourceElement` - the source element
Returns:
  the link

### getLinkByRuleAndSourceElement

public TransientLink getLinkByRuleAndSourceElement(Object rule, Object sourceElement)
Retrieve a link by the given rule and source element.

Parameters:
  `rule` - the given rule
  `sourceElement` - the source element
Returns:
  the link

### toString

public String toString()

Overrides:
  `toString` in class `Object`
See Also:
  - `Object.toString()`